Subject: [PATCH v2] serial: omap: fix compile breakage

From: [email-masked] (Greg KH)
Date: Fri, 7 Sep 2012 08:31:36 -0700

On Fri, Sep 07, 2012 at 08:25:31AM +0300, Felipe Balbi wrote:
> when rebasing patches on top of Greg's tty-next,
> it looks like automerge broke a few things which
> I didn't catch (for whatever reason I didn't
> have OMAP Serial enabled on .config) so I ended
> up breaking the build on Greg's tty-next branch.
> 
> Fix the breakage by re-adding the three missing
> members on struct uart_omap_port.
> 
> Reported-by: Tony Lindgren <[email-masked]>
> Signed-off-by: Felipe Balbi <[email-masked]>
> ---
> 
> Changes since v1:
> 	. remove the fields from <plat/omap-serial.h>
> 
>  arch/arm/plat-omap/include/plat/omap-serial.h | 4 ----
>  drivers/tty/serial/omap-serial.c              | 4 ++++
>  2 files changed, 4 insertions(+), 4 deletions(-)

This applies with fuzz, what tree did you make it against?

patching file arch/arm/plat-omap/include/plat/omap-serial.h
Hunk #1 succeeded at 105 with fuzz 1 (offset 26 lines).
patching file drivers/tty/serial/omap-serial.c
Hunk #1 succeeded at 100 (offset -23 lines).

Should I still apply it?

greg k-h